javax.persistence

## Annotation Type NamedQueries

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface NamedQueries

Specifies multiple named Java Persistence query language queries. Query names are scoped to the persistence unit. The `NamedQueries` annotation can be applied to an entity or mapped superclass.

Since:
  Java Persistence 1.0
See Also:
  `NamedQuery`

### Required Element Summary

Required Elements
`NamedQuery[]` `value` (Required) An array of `NamedQuery` annotations.

### Element Detail

#### value

    public abstract NamedQuery[] value

(Required) An array of `NamedQuery` annotations.